using System;

namespace Icarus.Logic.GameEngine
{
	/// <summary>
	/// This is the root state for the game engine. Basically, it makes sure that everything dies when we quit.
	/// </summary>
	public class RootState : GameStateAdapter
	{
		public override void Exit()
		{
			System.Windows.Forms.Application.Exit();
		}
	}
}
